## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class SequenceEnumerator

    public class SequenceEnumerator

implements IEnumerator

  This class represents an enumeration of the values in an XPath sequence. It implements the IEnumerator interface, and the objects returned are always instances of `XPathItem`

  Because the underlying value can be evaluated lazily, it is possible for exceptions to occur as the sequence is being read.

Property Summary
`object` | `Current` Return the current item in the sequence

Method Summary
`bool` | `MoveNext()` Move to the next item in the sequence
`void` | `Reset()` Reset the enumeration so that the next call of `MoveNext` will position the enumeration at the first item in the sequence

Property Detail

### Current

    public object Current {get; }

  Return the current item in the sequence

  returns
    An object which will always be an instance of `XdmItem`

Method Detail

### MoveNext

    public bool MoveNext()

  Move to the next item in the sequence

  returns
    true if there are more items in the sequence

### Reset

    public void Reset()

  Reset the enumeration so that the next call of `MoveNext` will position the enumeration at the first item in the sequence